package org.apidesign.apifest08.currency;

import java.util.Currency;


/** 
 * Converts currencies. To create an instance call {@link ConvertorFactory#createConvertor(Money, Money)}.
 */
public interface Convertor {
	/**
	 * Converts amount to its equivalent in the destination currency. 
	 * @param amount 
	 * @param destinationCurrency
	 * @return
	 * @throws IllegalArgumentException if currency of the amount is not supported or if it is not possible to convert it to the destination currency.
	 */
	public Money convert(Money amount, Currency destinationCurrency) throws IllegalArgumentException;
}
